Bug 39363 - gftp 2.0.8-1 hangs retrieving directory listing
gftp 2.0.8-1 hangs retrieving directory listing
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gftp (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
ftp://updates.redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-07 08:58 EDT by Derek Price
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 22:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Price 2001-05-07 08:58:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-cvshome.2 i686)

Description of problem:
gftp fails to retrieve directory listings on all ftp sites.  This problem
was present in the version distributed with RH 7.1 and the most recent
update.  This becomes apparent immediately upon log in to any ftp site.

How reproducible:
Always

Steps to Reproduce:
1. Enter updates.redhat.com in remote site field
2. Click connect
3.
	

Actual Results:  The log window showed a successful login up to the LIST
-aL command.  The status field shows, "Receiving file names...", but the
directory list window never fills in.

Expected Results:  A directory list should have shown up and I should have
been able to browse the ftp site.

Additional info:
Comment 1 Havoc Pennington 2001-05-07 10:28:57 EDT
Are you sure you have version 2.0.8? (rpm -q gftp)
Comment 2 Derek Price 2001-05-07 22:54:47 EDT
[oberon@empress oberon]$ rpm -q gftp
gftp-2.0.8-1
[oberon@empress oberon]$ 
Comment 3 Havoc Pennington 2001-07-12 14:32:29 EDT
Works fine for me. Are you behind some sort of firewall? Maybe
updates.redhat.com was just hosed on the day you tried it?
Comment 4 Derek Price 2001-07-16 09:29:15 EDT
You were probably correct.  I haven't had time to work on my firewall yet, but I
confirmed that the command line FTP client I was using to confirm that FTP
connections work through my firewall defaults to passive mode and not active, as
I was previously assuming.

Thanks for your help and sorry about the bogus report.

Note You need to log in before you can comment on or make changes to this bug.